alterSql()
{
  #-----------------------------------------------------------
  # Alters the create database SQL script with responses and run.
  #-----------------------------------------------------------
  for TMPDIR in $SQLDIR . /tmp; do
    [ -w $TMPDIR ] && break;
  done

  if [ ! -w $TMPDIR ]; then
    echo "Can't write customized SQL scripts in any of these directories:"
    echo "   $SQLDIR"
    echo "   ."
    echo "   /tmp"
    exit 2
  fi

  rm -f $TMPDIR/tmd_cr_db.$SQLEXT.sql

  if [ "$VENDOR" = "Sybase" -o "$VENDOR" = "MS_SQL" ]; then
    if [ $MSSQL7 -ne 1 ]; then
       sed -e "s/_xz_device/$DEVICE/g" \
	    -e "s/_xz_size/$DBSIZE/g" \
	    -e "s/_xz_db/$DBID/g" \
	    -e "s/_xz_user/$DBUSER/g" \
       -e "s/_xz_pwd/$DBPWD/g" \
	    $SQLDIR/tmd_cr_db.$SQLEXT > $TMPDIR/tmd_cr_db.$SQLEXT.sql
    else
	    sed -e "s/_xz_db/$DBID/g" \
	    -e "s/_xz_user/$DBUSER/g" \
       -e "s/_xz_pwd/$DBPWD/g" \
	    $SQLDIR/tmd_cr_db.mssql7 > $TMPDIR/tmd_cr_db.$SQLEXT.sql
    fi

  elif [ "$VENDOR" = "Oracle" ]; then
    sed -e "s/_xz_size/$DBSIZE/g" \
	-e "s/_xz_db/$DBID/g" \
	-e "s/_xz_user/$DBUSER/g" \
   -e "s/_xz_pwd/$DBPWD/g" \
	$SQLDIR/tmd_cr_db.$SQLEXT > $TMPDIR/tmd_cr_db.$SQLEXT.sql

    echo "CONNECT ${DBUSER}/$DBPWD@$TWO_TASK" >> $TMPDIR/tmd_cr_db.$SQLEXT.sql
    cat $SQLDIR/tmd_cr_tbl.$SQLEXT >> $TMPDIR/tmd_cr_db.$SQLEXT.sql

  elif [ "$VENDOR" = "DB2" ]; then
    if [ $DB2CLIENT != 1 ]; then
      sed -e "s/_xz_db/$DBID/g" \
	   $SQLDIR/tmd_cr_db.$SQLEXT > $TMPDIR/tmd_cr_db.$SQLEXT.sql
    else
      echo "attach to $DBNODE user $DBUSER using $DBPWD" > $TMPDIR/tmd_cr_db.$SQLEXT.sql
      sed -e "s/_xz_db/$DBID/g" \
	   $SQLDIR/tmd_cr_db.$SQLEXT >> $TMPDIR/tmd_cr_db.$SQLEXT.sql
    fi

    echo "connect to $DBID user $DBUSER using $DBPWD" >> \
	$TMPDIR/tmd_cr_db.$SQLEXT.sql
    cat $SQLDIR/tmd_cr_tbl.$SQLEXT >> $TMPDIR/tmd_cr_db.$SQLEXT.sql
 fi
}

alterSql
