alterRunSQL()
{
  #-----------------------------------------------------------
  # Alter the remove database SQL script with responses and run.
  #-----------------------------------------------------------

  for TMPDIR in $SQLDIR . /tmp; do

  rm -f $TMPDIR/tmd_rm_db.$SQLEXT.sql
  
  if [ "$VENDOR" = "DB2" ]; then
    if [ $DB2CLIENT != 1 ]; then
      sed -e "s/_xz_db/$DBID/g" \
      -e "s/_xz_user/$DBUSER/g" \
      $SQLDIR/tmd_rm_db.$SQLEXT > $TMPDIR/tmd_rm_db.$SQLEXT.sql
    else
      echo "attach to $DBNODE user $DBUSER using $DBPWD" > $TMPDIR/tmd_rm_db.$SQLEXT.sql
      sed -e "s/_xz_db/$DBID/g" \
      -e "s/_xz_user/$DBUSER/g" \
	   $SQLDIR/tmd_rm_db.$SQLEXT >> $TMPDIR/tmd_rm_db.$SQLEXT.sql
    fi
  else
    sed -e "s/_xz_db/$DBID/g" \
    -e "s/_xz_user/$DBUSER/g" \
    $SQLDIR/tmd_rm_db.$SQLEXT > $TMPDIR/tmd_rm_db.$SQLEXT.sql
  fi

    if [ $? = 0 ]; then
	break;
    else
	if [ "$TMPDIR" = "/tmp" ]; then
	    echo "Can't write customized SQL scripts in any of these directories:"
	    echo "   $SQLDIR"
	    echo "   ."
	    echo "   /tmp"
	    exit 2
	else
	    echo "Try to create tmd_rm_db.$SQLEXT.sql in another directory."
	fi
    fi
  done

  if [ "$VENDOR" = "Sybase" -o "$VENDOR" = "MS_SQL" ]; then
    echo
    echo "At the Password: prompt, enter the DB '$ADMIN_ID' user ID's password..."
    echo
    set -x
    isql -Usa -S$DBSERVER -i $TMPDIR/tmd_rm_db.$SQLEXT.sql
    set +x

  elif [ "$VENDOR" = "Oracle" ]; then
    if [ $NO_SQLPLUS -eq 1 ]; then
	echo "There is no command line interface to SqlPlus on this platform."
	echo "Use the SQL Worksheet utility, logged in as '$ADMIN_ID', to run"
	echo "the $TMPDIR/tmd_rm_db.$SQLEXT.sql SQL script."
    else
	echo
	echo "At the Password: prompt, enter the DB '$ADMIN_ID' user ID's password..."
	echo
	set -x
	$SQLPLUS ${ADMIN_ID}@$TWO_TASK @$TMPDIR/tmd_rm_db.$SQLEXT.sql
	set +x
    fi

  elif [ "$VENDOR" = "DB2" ]; then
    if [ "$INTERP" = "w32-ix86" ]  ; then
	EXE=.exe
    else
	EXE=
    fi	

    if [ -f "$DB2INST_HOME/sqllib/bin/db2$EXE" ]; then
    	if [ "$INTERP" = "w32-ix86" ]  ; then
		set -x
		db2cmd.exe db2 -f $TMPDIR/tmd_rm_db.$SQLEXT.sql
		set +x
	else
		set -x
		db2 -f $TMPDIR/tmd_rm_db.$SQLEXT.sql
		set +x
	fi
    else
	echo "The DB2 command line processor was not found in "
	echo "$DB2INST_HOME/sqllib/bin.  Verify that you are "
	echo "logged on to the DB2 server machine and re-run "
	echo "this program."
    fi
  fi
}

alterRunSQL
