findRimVendor()
{
  #-----------------------------------------------------------
  # Checks if RIM object ID for 'tmd' can be accessed
  # if yes, attemps to get RIM type name
  # if either type name or RIM OID is missing, 
  #    sets QUERY_VENDOR=1 to prompt for user input.
  #-----------------------------------------------------------
  QUERY_VENDOR=0

  RIMOID=`wlookup -r RIM $RIMname 2>/dev/null`

  if [ -z "$RIMOID" ]; then
    echo ""
    echo "Cannot find a RIM object for the $APPNAME"
    echo "to query for your configuration.  Please enter the information"
    echo "for your RDBMS configuration at the following prompts.  Make"
    echo "sure that the information entered here matches the configuration"
    echo "of the RIM object named '$RIMname'.  To view the attributes of"
    echo "of the RIM object, type 'wgetrim $RIMname' from the host that"
    echo "the $APPNAME has been installed on."
    echo ""
    QUERY_VENDOR=1
  else
    answer=`idlcall $RIMOID get_type_name`

    if [ -z "$answer" ]; then
	QUERY_VENDOR=1
    elif [ -n "`echo $answer | grep EXCEPTION`" ]; then
	QUERY_VENDOR=1
    else
	answer=`echo $answer | sed -e 's/\"//g'`
    fi
  fi
}

findRimVendor
