newRimRdbmsConfig()
{
  #-------------------------------------------------------------
  # This big if statement runs only when RIM object is not found
  # Sets configuration for different RDBMSs
  #-------------------------------------------------------------
  if [ $VERIFIED -ne 1 ]; then
    if [ "$VENDOR" = "Sybase" ]; then
	  DBHOME=$SYBASE
	  HOME_SRC="SYBASE"
	  DBSERVER=$DSQUERY
	  SVR_SRC="DSQUERY"
    elif [ "$VENDOR" = "Oracle" ]; then
	  DBID=${ORACLE_SID:-$DBID}
	  DBHOME=$ORACLE_HOME
	  HOME_SRC="ORACLE_HOME"
	  DBSERVER=$TWO_TASK
	  SVR_SRC="TWO_TASK"
    elif [ "$VENDOR" = "DB2" ]; then
	  DBHOME=$DB2DIR
	  HOME_SRC="DB2DIR"
	  DBSERVER=$DB2COMM
	  SVR_SRC="DB2COMM"
    elif [ "$VENDOR" = "MS_SQL" ]; then
	  HOME_SRC=MS_SQL
    fi

	#-----------------------------------------------------------
	# Asks user for the database home
	# For Oracle, home directory example is hard coded to 
	# C:/Oracle/Ora81 or C:/orant (for Oracle 8 and 7)
	# For DB2, the example is set to C:/
	#-----------------------------------------------------------
    if [ -n "$DBHOME" ]; then
	   echo "The $HOME_SRC environment variable is configured for a database"
	   echo "in '$DBHOME'. To use $DBHOME, press Enter." 
	   echo "If you are working with a different server,"
	   echo "enter the home directory of that server."
    else
      DBHOMEDIR=$VENDOR
      if [ "$VENDOR" = "Oracle" ]; then
        DBHOMEDIR="C:/Oracle/Ora81 or C:/orant"
      fi
      if [ "$VENDOR" = "DB2" ]; then
        DBHOMEDIR=""
      fi
      echo "Please enter the home directory for the database."
	   echo "For example: C:/$DBHOMEDIR"
    fi
    echo "Or enter 'q' to quit"
    read answer
    
    if [ "$answer" = 'q' -o "$answer" = 'quit' ]; then
      exit 1
    elif [ -n "$answer" ]; then
	   DBHOME=$answer
    fi

	#-----------------------------------------------------------
	# Asks user for the instance home (DB2 only)
	#-----------------------------------------------------------
    if [ "$VENDOR" = "DB2" ]; then
      UNAME=`uname`
      if [ $UNAME = Windows_NT ] ; then
        INSTHOME=C:/
      fi
      echo "Please enter the instance home directory for the database. "
	   echo "For example: $INSTHOME"
      read answer
	   echo

	   if [ -n "$answer" ]; then
	     DB2INST_HOME=$answer
	   else
	     echo "Error: input required.."
        newRimRdbmsConfig
	    fi
    fi
		
	#-----------------------------------------------------------
	# Asks user for the server ID
	#-----------------------------------------------------------
    
    if [ -n "$DBSERVER" ]; then
      if [ "$VENDOR" = "DB2" ]; then  
        echo "Please enter your server protocol. For example: 'tcpip'"
        read answer
        echo
      elif [ "$VENDOR" = "ORACLE" ]; then
        echo "The $SVR_SRC environment variable is configured to connect to the"
        echo "service '$DBSERVER'. To use service $DBSERVER, press Enter"
        echo "If you are working with a different ORACLE service,"
        echo "enter the service name. "
	     read answer
	     echo
      elif [ "$VENDOR" != "DB2" -a "$VENDOR" != "ORACLE" ]; then  
	     echo "The $SVR_SRC environment variable is configured to connect to the"
	     echo "'$DBSERVER' server. To use server $DBSERVER, press Enter"
     	  echo "If you are working with a different RDBMS server,"
	     echo "enter the ID, or name, of that server. "
	     read answer
	     echo
      fi
    else
      if [ "$VENDOR" = "DB2" ]; then  
        echo "Please enter your server protocol. For example: 'tcpip'"
        read answer
        echo
      elif [ "$VENDOR" = "ORACLE" ]; then
        echo "Please enter an existing Oracle service that you wish to connect to."
        read answer
      else
        echo "Please enter the ID, or name, of the RDBMS server. "
        read answer
        echo
      fi
    fi
    
    if [ -n "$answer" ]; then
	   DBSERVER=$answer
    fi

    #-----------------------------------------------------------
    # Changes default DBUSER for DB2
    #-----------------------------------------------------------
    if [ "$VENDOR" = "DB2" ]; then  
      DBUSER=db2admin
    fi
    
    #-----------------------------------------------------------
    # Asks user for the DB ID
    #-----------------------------------------------------------
    echo
    echo "Please enter the $SID of the database to remove."
    echo "or press enter to use the default: $DBID "
    read answer
    echo

    if [ -n "$answer" ]; then
      DBID=$answer
    fi

	#-----------------------------------------------------------
	# Asks user for the user ID
	#-----------------------------------------------------------
    echo
    echo "Please enter the user ID of the database to remove."
    echo "or press enter to use the default: $DBUSER "
    read answer
    echo

    if [ -n "$answer" ]; then
	   DBUSER=$answer
    fi

	#-----------------------------------------------------------
	# Asks user for the user password
	#-----------------------------------------------------------
    if [ "$VENDOR" != "DB2" ]; then
    echo
    echo "Please enter the user password of the database to remove."
    echo "or press enter to use the default: $DBPWD "
    read answer
    echo

    if [ -n "$answer" ]; then
	   DBPWD=$answer
    fi

    fi

  fi
}

newRimRdbmsConfig
