rimCheckExist()
{
  #-----------------------------------------------------------
  # Checks if RIM object ID for 'tmd' can be accessed
  # if yes, attemps to get RIM type name
  # if either type name or RIM OID is missing, 
  #    sets QUERY_VENDOR=1 to prompt for user input.
  #-----------------------------------------------------------
  QUERY_VENDOR=0

  RIMOID=`wlookup -r RIM $RIMname 2>/dev/null`

  if [ -z "$RIMOID" ]; then
    echo ""
    echo "RIM object '$RIMname' not found"
    echo "Enter the information for your RDBMS configuration at the following"
    echo "prompts.  Make sure that the information entered here matches the"
    echo "configuration of the RIM object named '$RIMname' when it is created"
    echo "later."
    echo ""
    QUERY_VENDOR=1
  else
    answer=`idlcall $RIMOID get_type_name`

    if [ -z "$answer" ]; then
	QUERY_VENDOR=1
    elif [ -n "`echo $answer | grep EXCEPTION`" ]; then
	QUERY_VENDOR=1
    else
	answer=`echo $answer | sed -e 's/\"//g'`  
    fi
  fi
}

rimCheckExist
