
rimCheckObject()
{
  #-----------------------------------------------------------------------
  # Checks for RIM connectoin, 
  # Attempts to find DB configuration from RIM using tivoli object methods
  # Prompts user to verify search result. 
  # if results are valid, good. otherwise exits.
  #-----------------------------------------------------------------------
  VERIFIED=0 

  if [ -n "$RIMOID" ]; then
    RIMINFO=`idlcall $RIMOID _get_rim_info`

  if [ -n "$RIMINFO" ]; then
    DBID=`idlarg 3 $RIMINFO`
    DBID=`echo $DBID | sed -e 's/\"//g'`
    DBUSER=`idlarg 4 $RIMINFO`
    DBUSER=`echo $DBUSER | sed -e 's/\"//g'`
    DBHOME=`idlarg 6 $RIMINFO`
    DBHOME=`echo $DBHOME | sed -e 's/\"//g'`
    DBSERVER=`idlarg 7 $RIMINFO`
    DBSERVER=`echo $DBSERVER | sed -e 's/\"//g'`
    DB2INST_HOME=`idlarg 8 $RIMINFO`
    DB2INST_HOME=`echo $DB2INST_HOME | sed -e 's/\"//g'`

	  #-- If this is an Oracle installation which doesn't use SQL*Net,
	  #-- the DBSERVER value will be null. idlarg return the string
	  #-- 'null' in this case; set the variable to an empty string 
	[ "$DBSERVER" = "null" ] && DBSERVER=

	echo "The RIM object within this TMR is configured to define the"
	echo "following database:"
	echo
	echo "   Database Vendor:    $VENDOR"
	echo "   Database Server ID: $DBSERVER"
	echo "   Database Home:      $DBHOME"
	echo "   Database ID:        $DBID"
	echo "   Database User ID:   $DBUSER"

	if [ "$VENDOR" = "DB2" ]; then
		echo "   DB2 Instance Home:  $DB2INST_HOME"
	fi

	echo
	echo "If this is correct, enter 'Y' to continue.  Otherwise, check the"
	echo "configuration of the local RIM object or run this script from"
	echo "the RIM host within the TMR you wish to configure. "
	read answer
	echo

	if [ "$answer" = 'Y' -o "$answer" = 'y' ]; then
	    VERIFIED=1
	else
	    exit 2
	fi
  fi
 fi
}

rimCheckObject
