runSql()
{
  #------------------------------------------------------------
  # Run the SQL commands to create the TMD user, DB and tables
  #------------------------------------------------------------

  if [ "$VENDOR" = "Sybase" -o "$VENDOR" = "MS_SQL" ]; then
    echo
    echo "At the Password: prompt, enter the DB $ADMIN_ID user ID's password..."
    echo
    set -x
    isql -Usa -S$DBSERVER -i $TMPDIR/tmd_cr_db.$SQLEXT.sql
    isql -U$DBUSER -S$DBSERVER -P$DBPWD -i $SQLDIR/tmd_cr_tbl.$SQLEXT
    set +x

  elif [ "$VENDOR" = "Oracle" ]; then
    if [ $NO_SQLPLUS -eq 1 ]; then
        echo "There is no command line interface to SqlPlus on this platform."
        echo "Use the SQL Worksheet utility, logged in as '$ADMIN_ID', to run"
        echo "the $TMPDIR/tmd_cr_db.$SQLEXT.sql SQL script, and, logged in "
        echo "as $DBUSER, to run the $SQLDIR/tmd_cr_tbl.$SQLEXT SQL script."
    else
        echo
        echo "Verifying that no previous $APPNAME database exists in this"
        echo "installation. At the Password: prompt, enter the DB '$ADMIN_ID'"
        echo "user ID's password..."
        echo
        DATATS_NAME="$DBUSER"_DATA
        DATATS_NAME=`echo $DATATS_NAME | tr "[a-z]" "[A-Z]"`
        TEMPTS_NAME="$DBUSER"_TEMP
        TEMPTS_NAME=`echo $TEMPTS_NAME | tr "[a-z]" "[A-Z]"`
        echo "spool chkts.out;" > chkts.sql
        echo "select file_name from dba_data_files where file_name = '$DATATS_NAME';" >> chkts.sql
        echo "spool off;" >> chkts.sql
        echo "quit;" >> chkts.sql
        $SQLPLUS ${ADMIN_ID}@$TWO_TASK @chkts.sql
        CHKTS_NAME=`grep $DATATS_NAME chkts.out | sed 's/ //g'`
        rm chkts.* > /dev/null
        if [ "$CHKTS_NAME" = "$DATATS_NAME" ]; then
            echo
            echo "This Oracle installation contains a datafile named $DATATS_NAME."
            echo "This file may be left over from a previous installation which"
            echo "was not completely cleaned up."
       echo "Attempting to install the $APPNAME database will fail unless"
       echo "this database was successfully dropped from the Oracle server."
            echo "If this database was supposed to be dropped from the server,"
       echo "please restart the Oracle server and make sure the datafile"
       echo "named $DATATS_NAME still doesn't exist, or else re-run this"
       echo "script and rename the $APPNAME database."
            echo
            exit 2
        fi
        echo
        echo "Creating the database entities - "
        echo "At the Password: prompt, enter the DB '$ADMIN_ID' user ID's password..."
        echo
        set -x
        $SQLPLUS ${ADMIN_ID}@$TWO_TASK @$TMPDIR/tmd_cr_db.$SQLEXT.sql
        set +x
    fi

  elif [ "$VENDOR" = "DB2" ]; then
    if [ "$INTERP" = "w32-ix86" ]  ; then
        EXE=.exe
        set -x
        db2cmd.exe db2 -f $TMPDIR/tmd_cr_db.$SQLEXT.sql
        RC=$?
        set +x
    else
        EXE=
        set -x
        db2 -f $TMPDIR/tmd_cr_db.$SQLEXT.sql
        RC=$?
        set +x
    fi

    if [ $RC -ne 0 ] ;  then
        echo "There was a problem running the DB2 command, exit code $RC. Continuing..."
    fi
  fi
}
runSql
