tmeCheck()
{
  #----------------------------------------------------------------
  # Checks Tivoli Authorization
  # Exits when authorization is insufficient
  # Otherwise finds enviroment settings and sets install directory
  #----------------------------------------------------------------

  echo
  echo "Looking up TME 10 system information..."

  BO=`objcall 0.0.0 self 2>/dev/null`
  if [ "$BO" = "" ]; then
    echo
    echo " Please check your Authorization: "
    echo "    you must be root user and authorized TMR administrator to run"
    echo "    the tmd_cr_db.sh script."
    echo " Please set up Tivoli enviroment:"
    echo "    you must first set up the Tivoli enviroment by running setup_env.sh"
    echo
    exit 1;
  fi

  if [ $? -eq 0 ]; then
     OSERV=${OSERV:-`objcall $BO getattr oserv`}
     EXECDIR=${EXECDIR:-`objcall $OSERV query install_dir`}
     EXECDIR=`echo $EXECDIR | sed 's,\\\\,/,g'`     
     INTERP=${INTERP:-`objcall $OSERV query interp`}
     SQLDIR="$EXECDIR/$INTERP/../generic_unix/TME/DominoMngr/TDS/db"
  fi
}

tmeCheck
