#!/bin/sh

 #=======================================================================
 #
 # Component:   Tivoli Manager for Domino 3.0
 #
 # Description: Remove the database and tables for TMD 3.0 database
 #              (Modified from the dom_rm_db.sh)
 #
 # Author:      dtam
 #
 # Parameters:
 #
 # Returns:       0  - normal completion
 #                >0 - abnormal termination
 #
 # PROPERTY of TIVOLI Systems
 # April, 2000
 #
 #=======================================================================

#set parameters: application name, rim name, db name
#db user id, db server name
. ./scripts/init.sh  


#checks Tivoli authorization
. ./scripts/tmeCheck.sh  


#tries to determine RDBMS vendor from RIM, 
#if failed, sets QUERY_VENDOR to 1.
. ./scripts/findRimVendor.sh 


#prompts user for RDBMS vendor name if not obtained from RIM                              
. ./scripts/findVendor.sh


#searches for the remove database scripts
. ./scripts/findRmDbScripts.sh 


# Checks for RIM connection, 
# Trys to find DB configuration from RIM
# Prompts user to verify search result. 
. ./scripts/rimCheckObject.sh   


# if RIM object is not found, prompts user for RDBMS parameters
. ./scripts/newRimRdbmsRemove.sh 


# Sets DB2 specific parameters  
. ./scripts/db2Specific.sh


# sets the RDBMS parameters as the user specified
. ./scripts/setRdbmsConfig.sh 


# updates and run the remove database scripts
. ./scripts/alterRunRmDbSql.sh 

